import { ProColumns } from "@ant-design/pro-components";
import {Image } from 'antd'
export const columns = (showNum?:boolean): ProColumns<any>[] => {
    return [
        {
            title: "企微名称",
            dataIndex: 'corpName',
            hideInSearch: true,
            align: "center",
        },
        {
            title: "客服名称",
            dataIndex: 'name',
            align: "center",
            hideInSearch: true,
        },
     
        {
            title: "客服ID",
            dataIndex: 'corpUserId',
            hideInSearch: true,
            align: "center",
        },
        {
            title: "当前用户数",
            dataIndex: 'customNum',
            align: "center",
            hideInSearch: true,
            hideInTable:!showNum
        },
        {
            title: "删除用户数",
            dataIndex: 'delCustomNum',
            hideInSearch: true,
            align: "center",
            hideInTable:!showNum
        },
        {
            title: "二维码",
            dataIndex: 'qrCode',
            hideInSearch: true,
            align: "center",
            hideInTable:!showNum,
            render:(_,row)=>{
                return   <Image src={row?.qrCode} style={{ width: 25 }} />
            }
        },
    ];
}